import requests
url = "https://api.paywise.de/v2/payments/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/payments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/payments/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/payments/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/payments/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"results": [
{
"amount": {
"currency": "<string>",
"value": "<string>"
},
"claim": {
"document_reference": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"your_reference": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mandate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference_number": "<string>"
},
"metadata": [
{
"type": "<string>",
"value": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z",
"value_date": "2023-12-25",
"your_reference": "<string>"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}{
"code": "validation_error",
"detail": "The request contains invalid data.",
"errors": [
{
"code": "invalid",
"field": "claims[0].due_date",
"message": "Due date must not precede the document date."
}
]
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}List payments
Read-only top-level payment collection.
import requests
url = "https://api.paywise.de/v2/payments/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/payments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/payments/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/payments/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/payments/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"results": [
{
"amount": {
"currency": "<string>",
"value": "<string>"
},
"claim": {
"document_reference": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"your_reference": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mandate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference_number": "<string>"
},
"metadata": [
{
"type": "<string>",
"value": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z",
"value_date": "2023-12-25",
"your_reference": "<string>"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}{
"code": "validation_error",
"detail": "The request contains invalid data.",
"errors": [
{
"code": "invalid",
"field": "claims[0].due_date",
"message": "Due date must not precede the document date."
}
]
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
Company-bound Case Management API key — the standard credential for this API.
Headers
Required when a Partner key calls the Case Management API; rejected for direct Case keys. Contains the entitled paywise company UUID.
Query Parameters
Return payments assigned to this claim UUID.
Number of results to return (maximum 100).
1 <= x <= 100Return payments assigned to this accepted case UUID.
Zero-based result offset.
x >= 0Return rows changed at or after this timezone-aware RFC 3339 timestamp. Results are ordered by updated_at and id.
Payment value date on or after this date (inclusive).
Payment value date on or before this date (inclusive).
Case-insensitive substring of your payment reference.
Response
Total number of matching resources.
123
Resources returned for the requested page.
Show child attributes
Show child attributes
URL for the next page, or null when this is the last page.
"http://api.example.org/accounts/?offset=400&limit=100"
URL for the previous page, or null when this is the first page.
"http://api.example.org/accounts/?offset=200&limit=100"
